# std::chrono::weekday_last::ok

From cppreference.com
< cpp‎ | chrono‎ | weekday last

constexpr bool ok() const noexcept; |  | (since C++20)

Checks if the weekday object stored in *this is valid.

### Return value

weekday().ok()

### Example

Run this code

    #include <chrono>
    #include <iostream>

    int main()
    {
        std::cout << std::boolalpha;

        auto wdl{std::chrono::Tuesday[std::chrono::last]};
        std::cout << (wdl.ok()) << ' ';

        wdl = {std::chrono::weekday(42)[std::chrono::last]};
        std::cout << (wdl.ok()) << '\n';
    }

Output:

    true false

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/chrono/weekday_last/ok&oldid=157214"